// Map Name:	DM_Nae&Mills_Place.cs
//
// Author:	*~Milliardo~*
//------------------------------------------------------------------------------

$missionName = "DM_Nae&Mills_Place";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = false;	

	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = false;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = true;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = false;
   $server::disableTeamPurple = false;
}

function player::onAdd(%this)
{
%ausgabe = "Welcome to *~<f5>Nae<f3> & <f1>Mill<f3>'s Place~*....";
say(%this,0,%ausgabe);
}

function onMissionLoad()
{
}

function onMissionStart()
{
   
	iceSounds();
	musicSounds();
}
                                                                                       function musicSounds()
                                           {
                                               %terrain = getObjectId("MissionGroup\\World\\terrain");
   
                                                createAmbientSoundSource(%terrain, 0, 49, 67 );
                                                addToAmbientSoundSource(%terrain, "scene5.wav", IDPRF_2D);
}

function Door1::trigger::onEnter(%this, %vehicleId)
{
	if($hercsAtDoor1 == 0)
      {
		playAnimSequence(getObjectId("MissionGroup\\Door1"), 0, true);
}
	$hercsAtDoor1 = $hercsAtDoor1 + 1;
}

function Door1::trigger::onLeave(%this, %vehicleId)
{
	$hercsAtDoor1 = $hercsAtDoor1 - 1;
	if($hercsAtDoor1 == 0)
      {
		playAnimSequence(getObjectId("MissionGroup\\Door1"), 0, false);
	}
}

function H2::structure::onScan(%scanned, %scanner) 
{ 
  setPosition(%scanner, -2069.98, 505.42, 342.599 ); 
}
function H1::structure::onScan(%scanned, %scanner) 
{ 
  setPosition(%scanner, -2086.5, 545.303, 233.191 ); 
}

function membersonly::trigger::onEnter(%this, %vehicleId)
{
   if(getSquad(%vehicleId) == "*~UA~*")
   {
       setPosition(%vehicleId, -3440.21, 136.14, 804.585 );
       fadeevent(0,in,0.5,1,1,1);
   }
   else
   {
       healobject(%vehicleId,-50000);
       say(0,0,"Hey "@getHudName(%vehicleId)@", you gotta be a member!");
   }
}

function barkeep::structure::onScan(%scanned, %scanner) 
{ 
  healObject(%scanner, 999999 );
  reloadObject(%scanner, 999999 ); 
}